<?php
/*
Plugin Name: MyPolls
Version: 1.1.1
Description: Plugin pour faire des sondages sur sa gallerie 
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=181
*/

/* ----------------------------------------------------------------------

Author : grum@grum.dnsalias.com :: http://photos.grum.dnsalias.com

1.0   - 15/09/07 - 1ère version
1.1   - 02/10/07 - correction bug sur nom des constantes globales "PLUGIN_" remplacées par "MYPOLL_" 
		 + comptabiliser le nombre d'accès sur un sondage (accès sans vote, accès après vote)
		 + lister les utilisateurs ayant voté
		 + connaitre pour un sondage la date du dernier vote
		 - correction : un refresh sur la page provoquait un nouveau vote
		 + ajouter un texte supplémentaire à afficher une fois le vote effectué
		 + gestion actif/inactif différente de visible/invisible (invisible : peut qd même être vu)
		 + un texte affiché pour tous les sondages / différent en fonction que le visiteur soit enregistré ou non
		 + fonctions administrateur sur la page d'accueil (créer un sondage/modifier un sondage)
		 + permettre aux utilisateurs de saisir un commentaire sur le vote
		 + gérer les montées de version du plugin sans perdre les sondages déjà en place
1.1.1 - 03/10/07 - correction du template de config générant un bug sous IE [http://forum.phpwebgallery.net/viewtopic.php?pid=72635#p72635]
		 - correction sur la création d'un sondage sur le dégèl du bouton [http://forum.phpwebgallery.net/viewtopic.php?pid=72778#p72778]

:: TO DO
	* gestion plus coriace des utilisateurs ayant déjà voté (cookies ?) pour les sondages "publiques", l'adresse IP pouvant changer
	* gestion des langues (et pouvoir reformater les dates/heures en fonction de celle employée)
	* sondages restreints par user/groupe
	* export/import des sondages
	* trier résultats d'un sondage par numéro de question/pct de votes
 

   ---------------------------------------------------------------------- */
// pour faciliter le debug :o)
// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable, $user;


define('MYPOLLS_DIR' , basename(dirname(__FILE__)));
define('MYPOLLS_PATH' , PHPWG_PLUGINS_PATH . MYPOLLS_DIR . '/');

define('MYPOLLS_VERSION' , '1.1.1');

include_once("plugin_class.inc.php");

$obj = new MyPolls_Plugin();
$obj->load_config();
$obj->init($prefixeTable);

add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') ); 
add_event_handler('loc_end_page_header', array(&$obj, 'Modifie_CSS'));
add_event_handler('loc_end_menubar' , array(&$obj, 'maj_menubar'));
add_event_handler('loc_end_section_init', array(&$obj, 'init_section_mypolls'));
add_event_handler('loc_end_index', array(&$obj, 'index_mypolls'));

set_plugin_data($plugin['id'], $obj)

?>
